Skip to content
Newer
Older
100644 60 lines (54 sloc) 1.97 KB
e9b5f20 @eladmeidar gemspec
authored
1 # Generated by jeweler
2 # DO NOT EDIT THIS FILE DIRECTLY
3 # Instead, edit Jeweler::Tasks in Rakefile, and run the gemspec command
4 # -*- encoding: utf-8 -*-
5
6 Gem::Specification.new do |s|
7 s.name = %q{sinatra_fake_webservice}
1e85fc6 @eladmeidar run! removed
authored
8 s.version = "0.9.0"
e9b5f20 @eladmeidar gemspec
authored
9
10 s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
11 s.authors = ["Elad Meidar"]
1e85fc6 @eladmeidar run! removed
authored
12 s.date = %q{2010-03-03}
8131b4b @eladmeidar .gem built
authored
13 s.description = %q{FakeWeb allows you to fake a response from a specific url, this gem intends to give developers the option to allow several responses from the same url based on parameters (ex: WSDL)}
e9b5f20 @eladmeidar gemspec
authored
14 s.email = %q{elad@nautilus6.com}
15 s.extra_rdoc_files = [
16 "LICENSE",
17 "README.rdoc"
18 ]
19 s.files = [
20 ".document",
21 ".gitignore",
22 "LICENSE",
23 "README.rdoc",
24 "Rakefile",
25 "VERSION",
26 "lib/sinatra_webservice.rb",
27 "metal/sinatra_stem.rb",
28 "sinatra.log",
5f1da5d @eladmeidar gemspec again
authored
29 "sinatra_fake_webservice.gemspec",
e9b5f20 @eladmeidar gemspec
authored
30 "test/helper.rb",
31 "test/test_sinatra_fake_webservice.rb"
32 ]
33 s.homepage = %q{http://github.com/eladmeidar/sinatra_fake_webservice}
34 s.rdoc_options = ["--charset=UTF-8"]
35 s.require_paths = ["lib"]
36 s.rubygems_version = %q{1.3.5}
8131b4b @eladmeidar .gem built
authored
37 s.summary = %q{use a sinatra application in your Rails test environment to fake a remote web service that needs more magic than Fakeweb}
e9b5f20 @eladmeidar gemspec
authored
38 s.test_files = [
39 "test/helper.rb",
40 "test/test_sinatra_fake_webservice.rb"
41 ]
42
43 if s.respond_to? :specification_version then
44 current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
45 s.specification_version = 3
46
47 if Gem::Version.new(Gem::RubyGemsVersion) >= Gem::Version.new('1.2.0') then
48 s.add_development_dependency(%q<thoughtbot-shoulda>, [">= 0"])
49 s.add_runtime_dependency(%q<sinatra>, [">= 0"])
50 else
51 s.add_dependency(%q<thoughtbot-shoulda>, [">= 0"])
52 s.add_dependency(%q<sinatra>, [">= 0"])
53 end
54 else
55 s.add_dependency(%q<thoughtbot-shoulda>, [">= 0"])
56 s.add_dependency(%q<sinatra>, [">= 0"])
57 end
58 end
59
Something went wrong with that request. Please try again.